function sintheta=angles(X,Y);
%
% function sintheta=angles(X,Y);
% 
% Compute the sine of the largest angles between two subspaces
%
% X and Y are bases of the subspaces
%
[Qx,rx]=qr(X,0);
[Qy,ry]=qr(Y,0);
costheta=min(svd(Qx'*Qy));
if costheta > 1, 
    sintheta=0;
else
    sintheta=sqrt(1-costheta^2);
end